<?php
/*
* Файл .parameters.php
*/
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED!==true) die();
// проверяем, установлен ли модуль «Информационные блоки»
if (!CModule::IncludeModule('iblock')) {
return;
}
// получаем массив всех типов инфоблоков — для возможности выбора
$arIBlockType = CIBlockParameters::GetIBlockTypes();
// получаем массив инфоблоков — для возможности выбора
$arInfoBlocks = array();
$arFilterInfoBlocks = array('ACTIVE' => 'Y');
$arOrderInfoBlocks = array('SORT' => 'ASC');
// если уже выбран тип инфоблока, выбираем инфоблоки только этого типа
if (!empty($arCurrentValues['IBLOCK_TYPE'])) {
$arFilterInfoBlocks['TYPE'] = $arCurrentValues['IBLOCK_TYPE'];
}
$rsIBlock = CIBlock::GetList(
$arOrderInfoBlocks,
$arFilterInfoBlocks,
);
while($obIBlock = $rsIBlock->Fetch()) {
$arInfoBlocks[$obIBlock['ID']] = '['.$obIBlock['ID'].'] '.$obIBlock['NAME'];
}
// получаем массив элементов инфоблоков — для возможности выбора
$arElement = array();
$arElementSelect = Array("ID", "IBLOCK_ID", "NAME");
$arElementFilter = Array("IBLOCK_ID"=>$arCurrentValues['IBLOCK_ID']);
$rsElement = CIBlockElement::GetList(
Array(), 
$arElementFilter, 
false, 
Array(), 
$arElementSelect);
while($obElement = $rsElement->Fetch()) {
$arElement[$obElement['ID']] = '['.$obElement['ID'].'] '.$obElement['NAME'];
}
// настройки компонента
$arComponentParameters = array(
"GROUPS" => array( // название кастомной группы не обязательный параметр
"TEST" => array(
"NAME" => 'Тест'
),
),
// основной массив с параметрами
'PARAMETERS' => array(
// выбор типа инфоблока
'IBLOCK_TYPE' => array( // ключ массива $arParams в component.php
'PARENT' => 'BASE', // название группы
'NAME' => 'Выберите тип инфоблока', // название параметра
'TYPE' => 'LIST', // тип элемента управления, в котором будет устанавливаться параметр
'VALUES' => $arIBlockType, // входные значения
'REFRESH' => 'Y', // перегружать настройки или нет после выбора (N/Y)
"DEFAULT" => "news", // значение по умолчанию
),
// выбор самого инфоблока
'IBLOCK_ID' => array(
'PARENT' => 'BASE',
'NAME' => 'Выберите инфоблок',
'TYPE' => 'LIST',
'VALUES' => $arInfoBlocks,
'REFRESH' => 'Y',
"DEFAULT" => '',
"ADDITIONAL_VALUES" => "Y",
),
// идентификатор элемента
'ELEMENT_ID' => array(
'PARENT' => 'BASE',
'NAME' => 'Идентификатор элемента',
'TYPE' => 'LIST',
'VALUES' => $arElement,
'REFRESH' => 'Y',
"DEFAULT" => "",
"ADDITIONAL_VALUES" => "Y",
),
// настройки кэширования
'CACHE_TIME'  =>  array(
'DEFAULT'=>3600
),
),
);