<?
/*
* Файл component.php
*/
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED!==true) die();
// время кеширования
if (!isset($arParams['CACHE_TIME'])) {
$arParams['CACHE_TIME'] = 3600;
} else {
$arParams['CACHE_TIME'] = intval($arParams['CACHE_TIME']);
}
// если нет валидного кеша получаем данные из БД
if ($this->StartResultCache()) {
// проверяем, установлен ли модуль «Информационные блоки»
if (!CModule::IncludeModule('iblock')) {
return;
}
// создаем пустой массив arResult
$arResult = Array ();
// получаем данные из базы
$res = CIBlockElement::GetList(
array("ACTIVE_FROM"=>"desc"), 
array("ID"=>$arParams["ELEMENT_ID"], "ACTIVE"=>"Y"), 
false, 
array(), 
array("IBLOCK_ID", "ID", "NAME", "DETAIL_PICTURE", "PROPERTY_*")
);
// получаем из выборки объект
if ($obElement = $res->GetNextElement()) {
// дефолтные свойства
$arResult = $obElement->GetFields();
// пользовательские свойства
$arResult['PROPERTIES'] = $obElement->GetProperties();
// получаем значения пользовательских свойств в удобном для отображения виде
foreach ($arResult['PROPERTIES'] as $code => $data) {
// помогаем показать значения свойства элемента
$arResult['DISPLAY_PROPERTIES'][$code] = CIBlockFormatProperties::GetDisplayValue($arResult, $data, '');
}
// расширенный вывод детальной картинки
$arResult["DETAIL_PICTURE"] = CFile::GetFileArray($arResult["DETAIL_PICTURE"]);
}
// кэш не затронет весь код ниже, он будут выполняться на каждом хите, но здесь работаем уже с другим $arResult — будут доступны только те ключи массива, которые перечислены в вызове SetResultCacheKeys()
if (isset($arResult['ID'])) {
// ключи $arResult, перечисленные при вызове этого метода, будут доступны в component_epilog.php и ниже по коду. Обратите внимание, там уже будет другой $arResult
$this->SetResultCacheKeys(
array(
)
);
// подключаем шаблон и сохраняем кеш
$this->IncludeComponentTemplate();
} else { // если выяснилось что кешировать данные не требуется, прерываем кеширование и выдаем сообщение, что такой страницы нет
$this->AbortResultCache();
\Bitrix\Iblock\Component\Tools::process404(
'Страница не найдена',
true,
true
);
}
};